Subject: Re: [Bitcoin-development] Area of Focus

From: Christian Decker <[email-masked]>
Date: Sat, 20 Dec 2014 19:27:53 +0100

Thanks for bringing this to my attention.

I added a safety check to my crawler and seed.bitcoinstats.com should
not return IPs that also run HTTP or HTTPS, hopefully this'll keep it
off blacklists :-)
--
Christian Decker

On Sat, Dec 20, 2014 at 9:57 AM, Matt Corallo <[email-masked]> wrote:
> There was recently some discussion around dnsseeds. Currently some
> dnsseeds are getting blocked by ISPs because the hosts they pick up
> (which run bitcoin core nodes) often run rather web servers alongside
> which serve malware or whatever else and thus end up on IP-based malware
> blacklists.
>
> Of course we really dont want to move off of DNS because it has this big
> built-in anonymity network where the DNS seed servers only get
> information about your ISP, not you, and its cached so you dont get as
> much information about how many users are making those requests.
>
> A potential solution might be supporting some subdomain which has
> results XORed with some constant mask to tweak the real IP.
>
> Additionally, it might be cool to stuff a TXT/AAAA/whatever record with
> a signature of the results provided by the DNSseed operator.
>
> Matt
>
> On 12/20/14 07:42, Will Bickford wrote:
>> Hi all, I'm looking to help with Bitcoin core development in my spare
>> time (a few hours per week).
>>
>> A little bit about me:
>> * I use C++ and Qt daily
>> * I love to automate and enhance software systems
>> * I enjoy root causing and fixing issues
>>
>> I saw Gavin say we needed help with testing in a Reddit AMA a while ago.
>> I'm curious where I can make the best impact. Any feedback would be
>> appreciated. Thanks!
>>
>> Will Bickford
>> "In Google We Trust"
>>
>>
>> ------------------------------------------------------------------------------
>> Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
>> from Actuate! Instantly Supercharge Your Business Reports and Dashboards
>> with Interactivity, Sharing, Native Excel Exports, App Integration & more
>> Get technology previously reserved for billion-dollar corporations, FREE
>> http://pubads.g.doubleclick.net/gampad/clk?id=164703151&iu=/4140/ostg.clktrk
>>
>>
>>
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>
> ------------------------------------------------------------------------------
> Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
> from Actuate! Instantly Supercharge Your Business Reports and Dashboards
> with Interactivity, Sharing, Native Excel Exports, App Integration & more
> Get technology previously reserved for billion-dollar corporations, FREE
> http://pubads.g.doubleclick.net/gampad/clk?id=164703151&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development